"""
Utility script to remove "(.)" from the allocation table latex file

Author: Ismail Khan (2015-2017)
Date created: Match 29, 2016
Edited by: Guillermo Palacios
"""

import os

# Declare constants and global variables
tex_file = "output/Paper/tex/input/allocation_preferences_top1_paper_input.tex"
out_file = tex_file
num_to_replace1 = "(.)"
num_to_replace2 = ""

# First, read from file
file_contents = []
with open(tex_file, "r") as f:
	for line in f:
		line = line.replace(num_to_replace1, num_to_replace2) 
		file_contents.append(line)

# Then, write to file
with open(out_file, "w") as f:
	for line in file_contents:
		f.write(line)

