"""
Utility script to remove extra decimals from the "N" column in the summary_stats file.

Author: Ismail Khan (2015-2017)
Date created: Match 29, 2016
"""

import os

# Declare constants and global variables
tex_file = "output/Paper/tex/input/summary_stats_input.tex"
out_file = tex_file
num_to_replace1 = "514"
num_to_replace2 = "518"
decimal_to_delete = ".00"

# First, read from file
file_contents = []
with open(tex_file, "r") as f:
	for line in f:
		line = line.replace(num_to_replace1 + decimal_to_delete, num_to_replace1) # Removes the text we wish to delete
		line = line.replace(num_to_replace2 + decimal_to_delete, num_to_replace2) # Removes the text we wish to delete
		file_contents.append(line)

# Then, write to file
with open(out_file, "w") as f:
	for line in file_contents:
		f.write(line)


