clear; close all;

input_file = 'output_for_matlab.csv';
%input_file = 'output_for_matlab.csv';

% PARAMS: base_performance_type, knowledge_type, num_iter, filename,
% input_file

% run_simulation(1, 2, 10, 'hellooo', input_file)

% iter = 10000;
% fname = char(strcat('sim_i', num2str(iter),'_','zerom','_','randk'));
% run_simulation(0, 2, iter, fname, input_file) % 0 mean, rand K

% iter = 10000;
% fname = char(strcat('sim_i', num2str(iter),'_','y1m','_','randk'));
% run_simulation(1, 2, iter, fname, input_file) % 0 mean, rand K

knowledge_list = [0 1 2];
knowledge_name_list = {'zerok'; 'fullk' ; 'randk'};
base_list = [0 1];
base_name_list = {'zerom'; 'y1m'}; %; 'y2m'};
num_iter = 10000;

% % Run all simulations
for i = base_list
     for k = knowledge_list
         knowledge_name = knowledge_name_list(k+1);
         base_name = base_name_list(i+1);
         fname = char(strcat('sim_i', num2str(num_iter),'_',base_name,'_',knowledge_name));
         run_simulation(i, k, num_iter, fname, input_file);
     end
 end

