

cap prog drop add_estimates
program define add_estimates, eclass 
syntax,  results(string) depvar(string) indvars(string) n(real)
local m=`n'+1

matrix beta=J(1,`m',-999) 
matrix variance=J(`m',`m',-999) 

forvalues i=1/`n' {
local indep: word `i' of `indvars'
di "START LOOP `i'"

areg `depvar' `indep', absorb(group_id) cluster(group_id)
matrix temp=e(V)
matrix beta[1,`i']=_b[`indep']
matrix variance[`i',`i']=temp[1,1] 

di "DONE with loop `i'"
}


reg `depvar' `indvars'
ereturn repost b=beta 
ereturn repost V=variance

estimates store `results'

end
